Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config.swing
Interface ButtonPaneListener

All Known Implementing Classes:
  AbstractConfigEditor, AdvancedConfigEditor, TabbedConfigEditor, TreeConfigEditor, WizardConfigEditor

    public interface ButtonPaneListener

A listener for button presses in a ButtonPane.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: ButtonPaneListener.java,v 1.1 2004/04/28 22:35:38 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Method Summary
`void` | `applyPressed(ActionEvent ev)` Someone has pressed apply
`void` | `cancelPressed(ActionEvent ev)` Someone has pressed cancel
`void` | `okPressed(ActionEvent ev)` Someone has pressed OK

Method Detail

### okPressed

    void okPressed(ActionEvent ev)

  Someone has pressed OK

  Parameters:
    `ev` - The button press event

### cancelPressed

    void cancelPressed(ActionEvent ev)

  Someone has pressed cancel

  Parameters:
    `ev` - The button press event

### applyPressed

    void applyPressed(ActionEvent ev)

  Someone has pressed apply

  Parameters:
    `ev` - The button press event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD